aboutsummaryrefslogtreecommitdiff
path: root/install-win32/copyinstaller
diff options
context:
space:
mode:
authorjames <james@e7ae566f-a301-0410-adde-c780ea21d3b5>2007-03-07 07:08:49 +0000
committerjames <james@e7ae566f-a301-0410-adde-c780ea21d3b5>2007-03-07 07:08:49 +0000
commit0039dd40464ea8544022abb32e220224ab71d6e5 (patch)
treed58e23208cccfbd533be63864442bc86352d34d3 /install-win32/copyinstaller
parentForgot to svn add buildinstaller before last commit. (diff)
downloadopenvpn-0039dd40464ea8544022abb32e220224ab71d6e5.tar.xz
Cleaned up Windows build scripts.
git-svn-id: http://svn.openvpn.net/projects/openvpn/branches/BETA21/openvpn@1763 e7ae566f-a301-0410-adde-c780ea21d3b5
Diffstat (limited to 'install-win32/copyinstaller')
-rw-r--r--install-win32/copyinstaller13
1 files changed, 13 insertions, 0 deletions
diff --git a/install-win32/copyinstaller b/install-win32/copyinstaller
new file mode 100644
index 0000000..f5279ca
--- /dev/null
+++ b/install-win32/copyinstaller
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# copy the installer
+
+# load version.nsi definitions
+. autodefs/nsidefs.sh
+
+if [ -n "$INSTALLER_DEST" ] ; then
+ cd install-win32
+ ls openvpn*.exe 2>/dev/null || exit 1
+ exe=`ls -t openvpn*.exe | head -n 1`
+ cp $exe $INSTALLER_DEST
+fi